Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.ee
Interface EEConfiguration

All Superinterfaces:
  BeanInfo, Cloneable, Configuration, Serializable

All Known Subinterfaces:
  EEConfiguration

public interface EEConfiguration
extends Configuration

Enterprise configuration options.

In addition to those recognized by the `Configuration`, the following standard properties should be recognized:

- com.solarmetric.kodo.ee.ManagedRuntimeClass
- com.solarmetric.kodo.ee.ManagedRuntimeProperties

Fields inherited from interface com.solarmetric.kodo.conf.Configuration
`LOG_CACHE, LOG_CONF, LOG_ENHANCE, LOG_METADATA, LOG_QUERY, LOG_RUNTIME`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Method Summary
`ManagedRuntime` | `getManagedRuntime()` The plugin to use for integrating with a managed runtime.
`String` | `getManagedRuntimeClass()` The class name of the managed runtime to use for managed environments.
`String` | `getManagedRuntimeProperties()` Configuration options for the managed runtime class.
`void` | `setManagedRuntime(ManagedRuntime runtime)` The plugin to use for integrating with a managed runtime.
`void` | `setManagedRuntimeClass(String managedRuntimeClass)` The class name of the managed runtime to use for managed environments.
`void` | `setManagedRuntimeProperties(String props)` Configuration options for the managed runtime class.

Methods inherited from interface com.solarmetric.kodo.conf.Configuration
`clone, configurationClone, freeze, fromProperties, getCacheReferenceSize, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionProperties, getConnectionPropertiesProps, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getDefaultFetchBatchSize, getDefaultFetchThreshold, getEnableQueryExtensions, getIgnoreCache, getLicenseKey, getMaxPool, getMinPool, getMsWait, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getPersistentTypeNames, getPersistentTypes, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getQueryFilterListeners, getRestoreValues, getRetainValues, getUseSoftTransactionCache, isFrozen, setCacheReferenceSize, setCacheReferenceSize, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setDefaultFetchBatchSize, setDefaultFetchBatchSize, setDefaultFetchThreshold, setDefaultFetchThreshold, setEnableQueryExtensions, setEnableQueryExtensions, setIgnoreCache, setIgnoreCache, setLicenseKey, setMaxPool, setMaxPool, setMinPool, setMinPool, setMsWait, setMsWait, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setPersistentTypes, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setQueryFilterListeners, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setUseSoftTransactionCache, setUseSoftTransactionCache, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Method Detail

### getManagedRuntimeClass

    public String getManagedRuntimeClass()

  The class name of the managed runtime to use for managed environments.

### setManagedRuntimeClass

    public void setManagedRuntimeClass(String managedRuntimeClass)

  The class name of the managed runtime to use for managed environments.

### getManagedRuntimeProperties

    public String getManagedRuntimeProperties()

  Configuration options for the managed runtime class.

### setManagedRuntimeProperties

    public void setManagedRuntimeProperties(String props)

  Configuration options for the managed runtime class.

### getManagedRuntime

    public ManagedRuntime getManagedRuntime()

  The plugin to use for integrating with a managed runtime.

### setManagedRuntime

    public void setManagedRuntime(ManagedRuntime runtime)

  The plugin to use for integrating with a managed runtime.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.